package com.ejie.m62fb.model.tipos;

public class TipoRegulacion extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_REGULACION;

	/**
	 * Method 'TipoRegulacion'.
	 */
	public TipoRegulacion() {
		super(TipoRegulacion.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoRegulacion'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoRegulacion(String idElereg) {
		super(TipoRegulacion.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoRegulacion'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoRegulacion(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoRegulacion.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}